<?php
include "conecta.php";
	
$TABELA = 'cidade';			$status = 'ativo'; 		
	
	$TAB = substr($TABELA,0,4);
	$filtro = "AND (".$TAB."_tx_nome LIKE '%$_GET[busca]%')";

	$sql = selecionar($TABELA,$TAB."_tx_status",$status," $filtro ".grid::order_by($TAB.'_tx_nome')." LIMIT 15");
	// inicio do grid
	
	while( $a = mysql_fetch_array($sql) ) {
		
		$a[$TAB.'_tx_nome'] = str_replace(array("'","\r\n","\n"),array("","",""),$a[$TAB.'_tx_nome']);
		
		$nome_js = str_replace(" ","%20",$a[$TAB.'_tx_nome']);
		$id = $a[$TAB."_nb_id"];
		$nome = $a[$TAB."_tx_nome"];
		$nome2 = $a[$TAB."_tx_nome"];
		
		$estilo = 'combo_novo_normal';
		if( $i++ == 0  && $_GET[busca] ){
			javascript("parent.combo_novo_sel_auto('$_GET[campo]','$id','".$nome_js."')");
			$estilo = 'combo_novo_ativo';
		}
		
		$l .= "<a class=$estilo href=javascript:combo_novo_sel('$_GET[campo]','$id','".$nome_js."') style='position:relative;'>$nome</a><BR>";
		
		$COMBO_NOVO_ID .= "$id<cactux>";
		$COMBO_NOVO_NOME .= "$nome<cactux>";
		$tam_box += 15;
	}

	
	javascript("
		
		combo_novo_retorna_valor();

		
//alert('-1');
		
		function combo_novo_retorna_valor() {

			parent.COMBO_NOVO_ID='".$COMBO_NOVO_ID."';
			parent.COMBO_NOVO_NOME='".$COMBO_NOVO_NOME."';

			parent.combo_novo_abre('".$_GET[campo]."');
			
			if( window.parent.$('combo_novo_invisivel') ) {

				window.parent.$('combo_novo_invisivel').innerHTML = '';
				
			} else {
				//ifrm = document.createElement('DIV');
				//ifrm.setAttribute('id', 'combo_novo_invisivel');
				//ifrm.setAttribute('class', 'combo_novo_invisivel');
				//window.parent.body.appendChild(ifrm);
				
				alert('ERRO: Atualize o funcoes form');
			}

			window.parent.$('combo_novo_invisivel').innerHTML=\"".$l."\";
			window.parent.$('combo_novo_invisivel').style.width = window.parent.$('nome_".$_GET[campo]."').clientWidth + 'px';

			var novo_tam = window.parent.$('combo_novo_invisivel').clientHeight;
			window.parent.$('nova_div_".$_GET[campo]."').style.height=novo_tam+'px';
			window.parent.$('nova_div_".$_GET[campo]."').innerHTML = window.parent.$('combo_novo_invisivel').innerHTML;
		}
	");
	
?>